[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

[Libvirt-ci] Build failed in Jenkins: virt-manager-ma ster-py3-check » libvirt-fedora-rawhide #1



See <https://ci.centos.org/job/virt-manager-master-py3-check/systems=libvirt-fedora-rawhide/1/display/redirect>

------------------------------------------
Started by upstream project "virt-manager-master-py3-check" build number 1
originally caused by:
 Started by upstream project "virt-manager-master-py3-build" build number 1
 originally caused by:
  Started by upstream project "libvirt-python-master-py3-build" build number 1
  originally caused by:
   Started by an SCM change
[EnvInject] - Loading node environment variables.
Building remotely on libvirt-fedora-rawhide (libvirt) in workspace <https://ci.centos.org/job/virt-manager-master-py3-check/systems=libvirt-fedora-rawhide/ws/>
[virt-manager-master] $ /bin/sh -xe /tmp/jenkins8633919544065328779.sh
+ MAKE=make
++ uname
+ unamestr=Linux
+ '[' Linux = FreeBSD ']'
+ export PATH=/home/jenkins/build/libvirt/bin:/home/jenkins/build/libvirt/bin:/home/jenkins/build/libvirt/bin:/home/jenkins/build/libvirt/bin:/usr/lib64/ccache:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/home/jenkins/.local/bin:/home/jenkins/bin
+ PATH=/home/jenkins/build/libvirt/bin:/home/jenkins/build/libvirt/bin:/home/jenkins/build/libvirt/bin:/home/jenkins/build/libvirt/bin:/usr/lib64/ccache:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/home/jenkins/.local/bin:/home/jenkins/bin
+ python3 ./setup.py test
running test
Traceback (most recent call last):
  File "/home/jenkins/build/libvirt/lib64/python2.7/site-packages/libvirt.py", line 24, in <module>
    import cygvirtmod as libvirtmod
ModuleNotFoundError: No module named 'cygvirtmod'

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "./setup.py", line 673, in <module>
    distclass=VMMDistribution,
  File "/usr/lib64/python3.6/distutils/core.py", line 148, in setup
    dist.run_commands()
  File "/usr/lib64/python3.6/distutils/dist.py", line 955, in run_commands
    self.run_command(cmd)
  File "/usr/lib64/python3.6/distutils/dist.py", line 974, in run_command
    cmd_obj.run()
  File "./setup.py", line 514, in run
    TestBaseCommand.run(self)
  File "./setup.py", line 433, in run
    import tests as testsmodule
  File "<https://ci.centos.org/job/virt-manager-master-py3-check/systems=libvirt-fedora-rawhide/ws/tests/__init__.py";,> line 33, in <module>
    from tests import utils
  File "<https://ci.centos.org/job/virt-manager-master-py3-check/systems=libvirt-fedora-rawhide/ws/tests/utils.py";,> line 21, in <module>
    import virtinst
  File "<https://ci.centos.org/job/virt-manager-master-py3-check/systems=libvirt-fedora-rawhide/ws/virtinst/__init__.py";,> line 39, in <module>
    from virtinst import util
  File "<https://ci.centos.org/job/virt-manager-master-py3-check/systems=libvirt-fedora-rawhide/ws/virtinst/util.py";,> line 27, in <module>
    import libvirt
  File "/home/jenkins/build/libvirt/lib64/python2.7/site-packages/libvirt.py", line 28, in <module>
    raise lib_e
  File "/home/jenkins/build/libvirt/lib64/python2.7/site-packages/libvirt.py", line 20, in <module>
    import libvirtmod
ImportError: dynamic module does not define module export function (PyInit_libvirtmod)
Build step 'Execute shell' marked build as failure


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]